struct Filename {
	int modified;
	char name[FILENAME_MAX];
	char new[FILENAME_MAX];
	SIMPLEQ_ENTRY(Filename) filename;
};
SIMPLEQ_HEAD(Filelist_head, Filename);

size_t estrlcat(char *, const char *, size_t);
size_t estrlcpy(char *, const char *, size_t);
int    file_exist(const char *);
void   get_input(char *, size_t);
int    sere(const char *, const char *, const char *, char *, size_t);
void   usage(void);

static const char *separator = "---";
static const char *pattern_input = "> Pattern to search";
static const char *replace_input = "> Replace with";
static const char *confirm_input = "> OK? (Return, or ctrl-c to cancel)";
static const char *invalid_msg = "(invalid, won't be processed)";

static const char *hi_clr = "\x1b[31m";
static const char *hi_reset = "\x1b[0m";
